    The XSPEC diskline model: accretion disk line emission, relativistic.

xsdiskline
The xsdiskline model is an additive model component.

The model is described at [1] .

The rinm and routm parameters have been renamed rin_m

and rout_m respectively to match the XSPEC definition. The names

rinm and routm can still be used to access the parameters, but they will be removed in a future release.

>>> create_model_component("xsdiskline", "mdl")
>>> print(mdl)

Create a component of the xsdiskline model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.LineE thawed 6.7 0 100 keV mdl.Betor10 frozen -2 -10 20 mdl.Rin_M frozen 10 6 10000 mdl.Rout_M frozen 1000 0 1e+07 mdl.Incl thawed 30 0 90 deg mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
LineE
The line energy in keV.
Betor10
The power law dependence of emissivity: see [1] for more details.
Rin_M
The inner radius, in units of GM^2/c.
Rout_M
The outer radius, in units of GM^2/c.
Incl
The inclination, in degrees.
norm
The model normalization in photon/cm^2/s.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelDiskline.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023